// JavaScript Document
var web_doc_alias = '';
$(document).ready(function(){
	web_doc_alias = $('#web_doc_alias').val();
	
	$('.linkDocument').on('click',function(){
		$(".linkDocument").each(function(i, elem) {
			$(elem).removeClass('fa-folder-open');
			$(elem).removeClass('link-danger');
			$(elem).addClass('fa-folder');
			$(elem).addClass('link-primary');
		});
		$(this).removeClass('fa-folder');
		$(this).addClass('fa-folder-open');
		$(this).removeClass('link-primary');
		$(this).addClass('link-danger');
		var folder_no = $(this).attr('data-folder_no');
		getSearch(folder_no);
	});
	
	//戻る
	$('#btnBack').on('click',function(){
		$('#prgname').val('A020');
		$('#menuForm').submit();
	});
});

function getSearch(folder_no){
	var param = {
		'appname': nasiappname,
		'prgname':'A071',
		'param1': nasiappname,
		'param2': $('#ssid').val(),
		'param3': folder_no, 
		'arguments':'param1,param2,param3'
	};
	var searchXml = ajaxFunction(param);
	var kekka = $(searchXml).find('ret').text();
	var msg = $(searchXml).find('message').text();
	if(kekka === 'I001'){
		$('#divFileList').empty();
		var fileHtml = '';
		$(searchXml).find('fileLine').each(function(){
			var filePath = $(this).find('file_full_name').text();
			var fileName = $(this).find('doc_name').text();
			var fileTimeStamp = $(this).find('time_stamp').text();
			fileHtml = fileHtml +  
				'<div class="row mt-3">' +
					'<div class="col-9">' +
						'<a href="#" class="fileLink fas fa-file-lines fw-normal text-decoration-none" data-url="'+filePath+'"> '+fileName+'</a>' +
					'</div>' +
					'<div class="col-3">' +
						'<span>' + fileTimeStamp + '</span>' +
					'</div>' +
				'</div>';
/*
			'<div class="row mt-3">' +
										'<div class="col-10">' +
											'<a href="#" class="fileLink" data-url="'+filePath+'">'+fileName+'</a>' +
										'</div>' +
										'<div class="col-2">' +
											'<span>' + fileTimeStamp + '</span>' +
										'</div>' +
									'</div>';
			*/
		});
		if(fileHtml === ''){
			$('#divFileList').append('<p>' + msg + '</p>');
		}else {
			/*
			var fileTable = '<div class="container">' +
								'<div class="row mt-4">' +
									'<div class="col-10">' +
										'<h5>文書名</h5>' +
									'</div>' +
									'<div class="col-2">' +
										'<h5>更新日</h5>' +
									'</div>' +
								'</div>' +
								fileHtml +
							'</div>';
			$('#divFileList').append(fileTable);
			*/
			$('#divFileList').append(fileHtml);
			$('.fileLink').on('click',function(){
				var fileURL = $(this).attr('data-url');
				DocOpen(fileURL);
			});
			
		}
	}else if(kekka === 'E001' ){
		// セッションエラーを表示
		$('#prgname').val('A040');
		$('#menuForm').submit();
	}else if(kekka === 'P001' ){
		// パラメータエラーを表示
		$('#prgname').val('A000');
		$('#menuForm').submit();
	}
}

//ドキュメントオープン
function DocOpen(filename){
	var str = filename.toUpperCase();
	if( (str.substr(str.length -3,3)) === "PDF" ){
		window.open( filename ,"",'toolbar=0,directories=0,status=1,resizable=1,scrollbars=0,menubar=0,left=100,top=60,width=800,height=550,');
	}else {
		window.open( filename ,"",'toolbar=1,directories=0,status=1,resizable=1,scrollbars=0,menubar=1,left=100,top=60,width=800,height=550,');
	}
}